Package javax.mail.event

## Class StoreEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.mail.event.MailEvent
    - - javax.mail.event.StoreEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class StoreEvent
    extends MailEvent

This class models notifications from the Store connection. These notifications can be ALERTS or NOTICES. ALERTS must be presented to the user in a fashion that calls the user's attention to the message.

Author:
  John Mani
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ALERT` Indicates that this message is an ALERT.
`protected java.lang.String` `message` The message text to be presented to the user.
`static int` `NOTICE` Indicates that this message is a NOTICE.
`protected int` `type` The event type.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`StoreEvent​(Store store, int type, java.lang.String message)` Construct a StoreEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatch​(java.lang.Object listener)` Invokes the appropriate StoreListener method.
`java.lang.String` `getMessage()` Get the message from the Store.
`int` `getMessageType()` Return the type of this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALERT

    public static final int ALERT

Indicates that this message is an ALERT.

See Also:
  Constant Field Values

#### NOTICE

    public static final int NOTICE

Indicates that this message is a NOTICE.

See Also:
  Constant Field Values

#### type

    protected int type

The event type.

#### message

    protected java.lang.String message

The message text to be presented to the user.

### Constructor Detail

#### StoreEvent

    public StoreEvent​(Store store,
                      int type,
                      java.lang.String message)

Construct a StoreEvent.

Parameters:
  `store` - the source Store
  `type` - the event type
  `message` - a message assoicated with the event

### Method Detail

#### getMessageType

    public int getMessageType()

Return the type of this event.

Returns:
  type
See Also:
  `ALERT`, `NOTICE`

#### getMessage

    public java.lang.String getMessage()

Get the message from the Store.

Returns:
  message from the Store

#### dispatch

    public void dispatch​(java.lang.Object listener)

Invokes the appropriate StoreListener method.

Specified by:
  `dispatch` in class `MailEvent`
Parameters:
  `listener` - the listener to invoke on